List invites for an organization
curl --request GET \
--url https://api.withampersand.com/v1/orgs/{orgId}/invites \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/orgs/{orgId}/invites"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/orgs/{orgId}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"invitedEmail": "<string>",
"parentType": "org",
"parentId": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Org
List invites for an organization
GET
/
orgs
/
{orgId}
/
invites
List invites for an organization
Authorizations
APIKeyHeaderBearer
Path Parameters
ID of the organization.
Response
List of invites
The invite ID.
The email address of the person invited.
The type of entity that the person is invited to.
Available options:
org The ID of the parent (e.g. org ID).
The status of the invite.
Available options:
pending, accepted, revoked, expired The time the invite was created.
The time the invite was updated.
Was this page helpful?
⌘I

